/**
 * @file
 * Contains a jQuery World Calendars Datepicker demo javascript code.
 */

(function($, Drupal, drupalSettings) {
  /**
   * Attaches jQuery World Calendars demonstration behavior.
   */
  Drupal.behaviors.jqueryCalendarDemo = {
    attach: function(context) {
      let $lang = drupalSettings.jquery_calendar.lang;
      const $picker = $('#datepicker-demo', context);
      if ($lang === 'en') $lang = '';
      const $calendars = $('#datepicker-demo-calendars', context);
      const $calendarsLang = $('#datepicker-demo-calendars-lang', context);
      //$.calendarsPicker.setDefaults($.calendarsPicker.regional[$lang]);

      // Initialize the library.
      $picker.calendarsPicker({
        monthsToShow: [2, 3],
        showOtherMonths: false,
        calendar: $.calendars.instance($calendars.val(), $calendarsLang.val()),
        onShow: $.calendarsPicker.showStatus,
        renderer: $.calendarsPicker.weekOfYearRenderer,
        onSelect: function(date) {
          alert(Drupal.t('You picked @date.',
            {'@date': date[0].formatDate()}
          ));
        }
      });

      $('.calendar_systems_js_date_picker_regular').calendarsPicker({calendar: $.calendars.instance($calendars.val(), $lang)});

      // Bind onchange handler.
      $('#datepicker-demo-calendars, #datepicker-demo-calendars-lang').bind('change', function() {
        const $calendars = $('#datepicker-demo-calendars', context);
        const $calendarsLang = $('#datepicker-demo-calendars-lang', context);
        console.log('test', $calendars.val(), $calendarsLang.val());
        if ( $calendars.val() && $calendarsLang.val()) {
          try {
            let $lang = $calendarsLang.val();
            const calendar = $.calendars.instance($calendars.val(), $lang);
            $picker
              .calendarsPicker('option', $.extend(
                {calendar: $.calendars.instance($calendars.val(), $lang)},
                $.calendarsPicker.regionalOptions[$lang]))
              .calendarsPicker('showMonth');

            $('.calendar_systems_js_date_picker_regular').calendarsPicker('option', $.extend(
              {calendar: $.calendars.instance($calendars.val(), $lang)},
              $.calendarsPicker.regionalOptions[$lang]));

            $.calendarsPicker.setDefaults($.calendarsPicker.regionalOptions['']);
          } catch (e) {
            alert(e);
          }
        }
      });
    }
  };
})(jQuery, Drupal, drupalSettings);
